Skip to main content
GET
/
wallets
/
{address}
/
history
/
{strategyId}
Get wallet transaction history
curl --request GET \
  --url https://api.deframe.io/wallets/{address}/history/{strategyId} \
  --header 'x-api-key: <api-key>'
{
  "transactions": [
    {
      "txHash": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "type": "<string>",
      "amount": "1000000000000000000",
      "status": "<string>"
    }
  ],
  "page": 123,
  "totalPages": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.deframe.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Obtain from your Deframe dashboard.

Path Parameters

address
string
required

Wallet address

Example:

"0xb794F5eA0ba39494cE839613fffBA74279579268"

strategyId
string
required

Strategy ID or slug

Query Parameters

page
string
default:1
limit
string
default:10

Response

200 - application/json

History retrieved successfully

transactions
object[]
required
page
number
required
totalPages
number
required